<!DOCTYPE html>
<html>
	<head>
		<title>vue.js onload test</title>
		 <meta charset="UTF-8">
		 <meta name="viewport" content="width=device-width, initial-scale=1">
		 <link rel="stylesheet" href="css/pure_1.0.0/pure.css">
		 <script type="text/javascript" src="js/vue.min.js"></script>
		 <script type="text/javascript" src="js/axios.min.js"></script>
		 <style type="text/css">
			body {
				padding: 10px;
			}
			.sideBySide {
				float: left;
			}
			.waitIcon {
				width: 22px;
				margin: 0 0 0 5px;
			}
			.clear {
				clear: both;
			}
			.message {
				margin: 5px 0 0 0;
			}
		 </style>
	</head>
	<body>
		<div id="app">
			<div>
				<button class="sideBySide" v-on:click="getMessage('clicked')" :disabled="status=='fetching'">Get Message</button>
				<img class="waitIcon sideBySide" src="images/ajax_loading.gif" v-if="status=='fetching'"/>
				<div class="clear"></div>
			<div>
			<div class="message">{{message}}</div>
		</div>
		<script>
			var vue = new Vue({
                el: '#app',
                data: {
					message: '',
					numberOfTimes: 0,
					status: 'ready'
                },
                methods: {
                    getMessage: function(option) {
						this.numberOfTimes++;
						this.status = 'fetching';
						var that = this;
						axios({
						  method: 'post',
						  url: 'data.php',
						  data: {
							option: option
						  }
						}).then(function (response) {
							that.message = response.data['message'] + ' (option=' + option + '), executed: ' + that.numberOfTimes;
							that.status = 'ready';
						  })
						  .catch(function (error) {
							console.log(error);
						  });						  
                    }
                }
            });	
			vue.getMessage('loaded');
		</script>
</body>
</html>